Subject: Johnny's Selected Seeds e-mail address

From: [email-masked] (George Stone)
Date: 17 May 1995 20:46:28 -0400

Johnny's Selected Seeds, a supplier of garden seeds and accessories since
1973, has an E-mail address that can be used to request a catalog and to be
added to their mailing list. Send your postal mailing address and your name
to [email-masked]